epp_ContactCreateRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.contact.epp_ContactCreateRsp class

### org.openrtk.idl.epp0402.contact

# Class epp_ContactCreateRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.contact.epp_ContactCreateRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactCreateRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the contact create response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPContactCreate and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/contact/epp_ContactCreateRsp.java,v 1.2 2003/09/10 21:29:55 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:55 $

See Also:
  `EPPContactCreate`, `epp_ContactCreateReq`

  ## Field Summary
  `String` | `m_id` The identifier for the contact object in the registry.
  `epp_Response` | `m_rsp` The common and generic response element.

  ## Constructor Summary
  `epp_ContactCreateRsp()` Empty constructor
  `epp_ContactCreateRsp(epp_Response _m_rsp, String _m_id)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getId()` Accessor method for the identifier for the contact object in the registry
  `String` | `getRoid()` Deprecated.
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `void` | `setId(String value)` Accessor method for the identifier for the contact object in the registry
  `void` | `setRoid(String value)` Deprecated.
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_id

    public String m_id

> The identifier for the contact object in the registry.
> See Also:
>   `setId(String)`, `getId()`

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

## Constructor Details

### epp_ContactCreateRsp

    public epp_ContactCreateRsp()

> Empty constructor

### epp_ContactCreateRsp

    public epp_ContactCreateRsp(epp_Response _m_rsp,
                                String _m_id)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_id` - The identifier for the contact object in the registry

## Method Details

### getId

    public String getId()

> Accessor method for the identifier for the contact object in the registry
> Returns:
>   The contact id
> See Also:
>   `m_id`

### getRoid

    public String getRoid()

> Deprecated.

> See Also:
>   `getId()`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### setId

    public void setId(String value)

> Accessor method for the identifier for the contact object in the registry
> Parameters:
>   `value` - The contact id
> See Also:
>   `m_id`

### setRoid

    public void setRoid(String value)

> Deprecated.

> See Also:
>   `setId(String)`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS